Bug 145387 - CAN-2005-0075 Arbitrary code injection in Squirrelmail
CAN-2005-0075 Arbitrary code injection in Squirrelmail
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squirrelmail (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
impact=moderate,embargoed=20050122
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-01-17 17:03 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 04:03:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-17 17:03:19 EST
*** This bug has been split off bug 145384 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.17
16:52 -------

Debian reported this to vendor-sec on 2005-01-15

Hi,

A missing variable initialisation in functions/prefs.php allowed for
potential insecure file inclusions. Only environments where the PHP
setting register_globals is set to On are vulnerable.

Affected versions: SquirrelMail 1.4.3, 1.4.3a, 1.4.4-RC1
Fixed in: SquirrelMail 1.4.4

This vulnerability was discovered by SquirrelMail developer Jimmy
Conner.

Currently the 1.4.4 release is planned for monday, as there still is
some translation stuff pending.


Please note that we do not have register_globals enabled by default, which
negates this issue.


The fix for this issue is contained in attachment 109892 [details]
Comment 1 Josh Bressers 2005-01-24 08:39:37 EST
Lifting embargo.
Comment 3 Mark J. Cox (Product Security) 2005-02-08 11:05:19 EST
This was reduced in severity due to the register_globals needing to be
on.  See http://uk2.php.net/register_globals for why having this on is
a bad idea.

Comment 4 Mark J. Cox (Product Security) 2005-02-15 04:03:27 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-099.html

Note You need to log in before you can comment on or make changes to this bug.